<!-- <!DOCTYPE html PUBLIC "-//W3C/ DTD HTML 4.01 Transitional//EN"> -->
Make sure your Speidel is online. (Wifi-module is configured and operational).

<script>
 let speidel;
 var url = new URL(window.location.href);

 console.log("url: "+url);
 if (url.searchParams.get('speidel')) {
     speidel = url.searchParams.get('speidel');
 } else if (localStorage.getItem('speidel')) {
     speidel = localStorage.getItem('speidel');
 }
 </script>
 
<form action ="speidel-control.html">
    <label for="speidel">
        Enter IP-address (or name) of Speidel: 
    </label>
    <input id="speidel" name="speidel">

    <!-- 
    <fieldset>
        <legend>Select Language</legend>
        
        <input type="radio" id="lang" name="lang" value="en">
        <label for="en">English</label><br>

        <input type="radio" id="lang" name="lang" value="fr">
        <label for="fr">French</label><br>

        <input type="radio" id="lang" name="lang" value="de">
        <label for="de">German</label><br>

        <input type="radio" id="lang" name="lang" value="es">
        <label for="es">Spanish</label><br>
    </fieldset>
    -->
</form>
<script>
 if (speidel) {
     console.log ("Found speidel: "+speidel);
     window.localStorage.setItem('speidel', speidel);
     document.getElementById('speidel').value = speidel;
     //window.location.replace ('speidel.html?speidel='+speidel);
 }
 if (lang) {
     console.log ("Found lang: "+lang);
     window.localStorage.setItem('lang', lang);
     let radiobtn = document.getElementById(lang);
     radiobtn.checked = true;

     document.getElementById('lang').value = lang;
 }
</script>
